'use strict';
const http = require('http');
const interval = 200;
const count = 3;

const server = http.createServer((req, res) => {
  process.stdin.once('data', () => res.end());
  req.on('data', data => console.log('GOT:', String(data)));
  req.on('error', err => console.log('ERROR:', String(err)));
  req.on('end', () => console.log('END'));
  req.on('close', () => console.log('CLOSE'));
  req.on('aborted', () => console.log('ABORTED'));
}).listen(9999);

const client = http.request({ method: 'POST', port: 9999 });
let index = 0;
setTimeout(function write() {
  client.write('' + ++index);
  if (index === count) client.end();
  else setTimeout(write, interval);
}, interval);
client.on('response', (res) => {
  res.resume();
  server.close();
  process.stdin.unref();
});
client.on('error', () => console.log('(client error)'));
client.on('close', () => console.log('(client close)'));
